Skip to main content
DELETE
/
v1
/
pay
/
fixedaddress
/
delete
Delete Static Collection Address
curl --request DELETE \
  --url https://openplatform.gateapi.io/v1/pay/fixedaddress/delete \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "result": "ok"
  }
}
Deletes an already generated and valid static collection address.

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

Query Parameters

channelId
string
required

Merchant channel ID

chain
string
required

Network

Response

200 - application/json

Successful response

status
enum<string>

API response result, SUCCESS or FAIL.

Available options:
SUCCESS,
FAIL
code
string

Response error code.

errorMessage
string

Error description.

data
object